<?php


class cURLclient
{
	protected $res;
	protected $env;

	function __construct() {
		$this->res		= null;
	}


	public function sendGet($url) {
		if(!is_resource($this->res)) {
			$this->connect($url);
		}

		curl_setopt($this->res, CURLOPT_HTTPGET, 1);               
		curl_setopt($this->res, CURLOPT_RETURNTRANSFER,1);	
		$this->response 		= curl_exec($this->res);
		$curlDebug				= curl_getinfo($this->res);
		
		$headerSize 			= curl_getinfo($this->res, CURLINFO_HEADER_SIZE);
		$curlDebug['response_header'] = substr($this->response, 0, $headerSize);
		$data 					= substr($this->response, $headerSize);
		
		return array($curlDebug, $data);
	}

	
	public function sendPost($url, $data) {
		if(!is_resource($this->res)) {
			$this->connect($url);
		}

		curl_setopt($this->res, CURLOPT_POSTFIELDS, $data);
		curl_setopt($this->res, CURLOPT_POST, 1);               
		curl_setopt($this->res, CURLOPT_RETURNTRANSFER,1);	
		$this->response 		= curl_exec($this->res);
		$returnCode			= curl_getinfo($this->res, CURLINFO_HTTP_CODE);
		if($this->single) {
			curl_close($this->res);
			$this->res			= null;
		}
		return array($returnCode, $this->response);
	}

	protected function connect($url) {
		$this->res				= curl_init($url);

		curl_setopt($this->res, CURLOPT_HEADER, true);
		curl_setopt($this->res, CURLINFO_HEADER_OUT, true);
		curl_setopt($this->res, CURLOPT_HTTPHEADER, array(
			'Authorization: Basic '.base64_encode('write:restfm'),
		));
		curl_setopt($this->res, CURLOPT_USERAGENT, '');
		curl_setopt($this->res, CURLOPT_FOLLOWLOCATION, true);
		curl_setopt($this->res, CURLOPT_TIMEOUT, 30); 
		curl_setopt($this->res, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($this->res, CURLOPT_SSL_VERIFYHOST, false);
		curl_setopt($this->res, CURLOPT_COOKIEJAR, '/var/tmp');
		
		return 0;
	}


	public function getResponse() {
		return $this->response;
	}

	// reference: http://uk.php.net/manual/en/function.curl-getinfo.php
	public function interrogate($symbol ) {
		if(is_resource($this->res)) {
			return curl_getinfo($this->res, $symbol);
		} else {
			return null;
		}
	} 

	public function close( ) {
		if(is_resource($this->res)) {
			return curl_close($this->res);
		} else {
			return null;
		}
	} 
	
	
	/**
	 * Utility function to convert PHP data structures into a flat string which may be sent as a HTTP POST.
	 * 
	 * @param hash of string $args
	 * @return string, the packed data.  Chars escaped to be legal over HTTP
	 */
	public function postPack($args) {{{
		$str			='';
		foreach($args as $k=>$v) {
			$str		.=urlencode($k).'='.urlencode($v).'&';
		}
		return $str;
	}}}

}