<?xml version="1.0" encoding="utf-8"?>
<!--
	@author	Steve Winter
			Matatiro Solutions
			steve@msdev.co.uk
	@date		10/08/2013
	@version	1.0
	
	This stylesheet converts the data feed from http://remote.msdev.co.uk/ into FileMaker ResultSet XML
	which allows the embedded nodes from within the XML feed to be imported directly into FileMaker using
	the Import Records script step.
	
	Thanks to Michael Horak for assistance with creating the original stylesheet this is based on
	via https://fmdev.filemaker.com/message/104507
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tmp="http://remote.msdev.co.uk/" version="1.0" exclude-result-prefixes="tmp">
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
	<xsl:template match="/">
		<FMPXMLRESULT xmlns="http://www.filemaker.com/fmpxmlresult">
			<ERRORCODE>0</ERRORCODE>
			<PRODUCT BUILD="" NAME="" VERSION=""/>
			<DATABASE DATEFORMAT="" LAYOUT="" NAME="" RECORDS="" TIMEFORMAT=""/>
			<METADATA>
				<FIELD NAME="nameFirst" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT=""/>
				<FIELD NAME="nameList" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT=""/>
				<FIELD NAME="company" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT=""/>
				<FIELD NAME="addressStreet" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT=""/>
				<FIELD NAME="addressCity" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT=""/>
				<FIELD NAME="addressCounty" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT=""/>
				<FIELD NAME="addressState" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT=""/>
				<FIELD NAME="addressZIP" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT=""/>
				<FIELD NAME="phone" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT=""/>
				<FIELD NAME="fax" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT=""/>
				<FIELD NAME="email" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT=""/>
				<FIELD NAME="website" TYPE="TEXT" EMPTYOK="YES" MAXREPEAT=""/>
			</METADATA>
			<RESULTSET FOUND="">
				<xsl:for-each select="RemoteSite/Users/User">
					<ROW MODID="" RECORDID="">
						<COL>
							<DATA>
								<xsl:value-of select="FirstName"/>
							</DATA>
						</COL>
						<COL>
							<DATA>
								<xsl:value-of select="LastName"/>
							</DATA>
						</COL>
						<COL>
							<DATA>
								<xsl:value-of select="Company"/>
							</DATA>
						</COL>
						<COL>
							<DATA>
								<xsl:value-of select="Address"/>
							</DATA>
						</COL>
						<COL>
							<DATA>
								<xsl:value-of select="City"/>
							</DATA>
						</COL>
						<COL>
							<DATA>
								<xsl:value-of select="County"/>
							</DATA>
						</COL>
						<COL>
							<DATA>
								<xsl:value-of select="State"/>
							</DATA>
						</COL>
						<COL>
							<DATA>
								<xsl:value-of select="ZIP"/>
							</DATA>
						</COL>
						<COL>
							<DATA>
								<xsl:value-of select="Phone"/>
							</DATA>
						</COL>
						<COL>
							<DATA>
								<xsl:value-of select="Fax"/>
							</DATA>
						</COL>
						<COL>
							<DATA>
								<xsl:value-of select="Email"/>
							</DATA>
						</COL>
						<COL>
							<DATA>
								<xsl:value-of select="Web"/>
							</DATA>
						</COL>
					</ROW>
				</xsl:for-each>
			</RESULTSET>
		</FMPXMLRESULT>
	</xsl:template>
</xsl:stylesheet>